package org.jutils.collection;

import java.util.*;
public class LongComparator implements Comparator {

   /** Sorts ascending. */
   public static final int ASCENDING = 0;

   /** Sorts descending. */
   public static final int DESCENDING = 1;

   /** The sort direction as defined in the constants. */
   private int sortOrder_ = ASCENDING;



    /**
    * LongComparator constructor comment.
    */
    public LongComparator() {
        super();
    }



    /**
    * compare method comment.
    */
    public int compare(Object o1, Object o2) {
        Long long_1 = (Long) o1;
        Long long_2 = (Long) o2;
        long difference = long_2.longValue() - long_1.longValue();
        if (difference != 0)
            difference = difference / Math.abs(difference);
        if (sortOrder_ == DESCENDING)
            difference *= -1;
        return (int) difference;
    }



    /**
    * Compares two objects for equality. Returns a boolean that indicates
    * whether this object is equivalent to the specified object. This method
    * is used when an object is stored in a hashtable.
    * @param obj the Object to compare with
    * @return true if these Objects are equal; false otherwise.
    * @see java.util.Hashtable
    */
    public boolean equals(Object obj) {
        // Insert code to compare the receiver and obj here.
        // This implementation forwards the message to super.  You may replace or supplement this.
        // NOTE: obj might be an instance of any class
        return super.equals(obj);
    }



    /**
    * <br>Creation date: (25.07.2000 16:14:10)<br>
    * @author: M.Winkler, doubleSlash GmbH
    *
    * @return int
    */
    public int getSortOrder() {
        return sortOrder_;
    }



    /**
    * Generates a hash code for the receiver.
    * This method is supported primarily for
    * hash tables, such as those provided in java.util.
    * @return an integer hash code for the receiver
    * @see java.util.Hashtable
    */
    public int hashCode() {
        // Insert code to generate a hash code for the receiver here.
        // This implementation forwards the message to super.  You may replace or supplement this.
        // NOTE: if two objects are equal (equals(Object) returns true) they must have the same hash code
        return super.hashCode();
    }



    /**
    * <br>Creation date: (25.07.2000 16:14:10)<br>
    * @author: M.Winkler, doubleSlash GmbH
    *
    * @param newSortOrder int
    */
    public void setSortOrder(int newSortOrder) {
        sortOrder_ = newSortOrder;
    }
}

