package org.jutils.runtime;

/*------------------------------------------------------------------------------
Name:      Sleeper.java
Project:   jutils.org
Copyright: jutils.org, see jutils-LICENSE file
Comment:   helper methods for runtime
Version:   $Id: Sleeper.java,v 1.3 2000/11/14 15:34:06 ruff Exp $
------------------------------------------------------------------------------*/



/******************************************************************************
 * Helper class
 *****************************************************************************/
public class Sleeper
{

   /***************************************************************************
   * private constructor, use static methods only
   **************************************************************************/
   private Sleeper() {
   }

   /***************************************************************************
   * Stop execution for some given milliseconds
   *
   * @param millis amount of milliseconds to wait
   **************************************************************************/
   public static void sleep(long millis) {
      try {
         Thread.currentThread().sleep(millis);
      }
      catch (InterruptedException i) {
      }
   }


   /***************************************************************************
   * Stop execution forever. 
   **************************************************************************/
   public static void sleep() {
      sleep(Long.MAX_VALUE);
   }
}
