package org.jutils.servlet;

/*------------------------------------------------------------------------------
Name:     XmlComposition.java
Project:  doubleSlash Content Management
Copyright:This is proprietary source code of doubleSlash Net-Business GmbH
  Copyright 1999 -  all right reserved
Autor:    $Author: winkler $
Version:  $Revision: 1.4 $
Datum:    $Date: 2001/02/05 10:31:55 $
--------------------------------------------------------------------------------*/

import java.io.*;
//import javax.servlet.*;
//import javax.servlet.http.*;


/**
 *
 */
public class XmlComposition {
   String id                     = "";
   StringBuffer data             = null;
   StringBuffer settings         = null;
   StringBuffer session          = null;
   StringBuffer error            = null;
   StringBuffer description      = null;



public XmlComposition() {
    data = new StringBuffer();
    settings = new StringBuffer();
    session = new StringBuffer();
    error = new StringBuffer();
    description = new StringBuffer();
}



public XmlComposition(String id) {
    this();
    this.id = id;
}



public void addData(String data) {
    this.data.append(data);
}



public void addDescription(String description) {
    this.description.append(description);
}



public void addError(String error) {
    this.error.append(error);
}



public void addSession(String session) {
    this.session.append(session);
}



public void addSettings(String settings) {
    this.settings.append(settings);
}



public void clear() {
    data = new StringBuffer();
    settings = new StringBuffer();
    session = new StringBuffer();
    description = new StringBuffer();
    error = new StringBuffer();
}



public String toString() {
    StringBuffer sb = new StringBuffer();
    StringBuffer tmp = new StringBuffer();
    sb.append("<?xml version='1.0' encoding='iso-8859-1' ?>\n");
    if (id == null)
        tmp.append("");
    else
        tmp.append(" id='").append(id).append("'");
    sb.append("<page").append(tmp).append(" xmlns:html='http://www.w3.org/TR/REC-html40/loose.dtd'>\n");
    sb.append("   <description>\n");
    if (settings != null) {
        sb.append(description);
    }
    sb.append("   </description>\n");
    sb.append("   <session>\n");
    if (session != null) {
        sb.append(session);
    }
    sb.append("   </session>\n");
    sb.append("   <data>\n");
    if (data != null) {
        sb.append(data);
    }
    sb.append("   </data>\n");
    sb.append("   <settings>\n");
    if (settings != null) {
        sb.append(settings);
    }
    sb.append("   </settings>\n");
    if (error != null) {
        sb.append("   <error>").append(error).append("</error>");
    }
    sb.append("</page>\n");
    return sb.toString();
}
}

